import 'package:flutter/material.dart';
import 'package:flutter_flicker/configuration/configuration.dart';

class FlickerOutlinedButton extends StatelessWidget {
  const FlickerOutlinedButton({
    Key? key,
    required this.onPressed,
    this.child,
    this.onPrimaryColor,
  }) : super(key: key);

  final VoidCallback? onPressed;
  final Widget? child;
  final Color? onPrimaryColor;

  @override
  Widget build(BuildContext context) {
    return OutlinedButton(
      style: ElevatedButton.styleFrom(
        onPrimary: FlickerConfiguration.colors.elevatedButtonPrimary,
      ),
      onPressed: onPressed,
      child: child!,
    );
  }
}
