import 'package:flutter/material.dart';
import 'package:flutter_flicker/configuration/configuration.dart';

class FlickerGridHeader extends StatelessWidget {
  final String headerText;
  final Color? color;

  const FlickerGridHeader(
    this.headerText, {
    Key? key,
    this.color,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Expanded(
      child: Text(
        headerText.toUpperCase(),
        softWrap: true,
        overflow: TextOverflow.fade,
        maxLines: 5,
        style: TextStyle(
          fontWeight: FontWeight.bold,
          color: MediaQuery.of(context).size.width < 600
              ? FlickerConfiguration.colors.subTitle
              : color ??
                  FlickerConfiguration.colors.gridHeadingRowTextColor ??
                  FlickerConfiguration.colors.subTitle,
        ),
      ),
    );
  }
}
