import 'package:flutter_flicker/configuration/configuration.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class FlickerTitle extends StatelessWidget {
  FlickerTitle({
    Key? key,
    required this.labelText,
    this.color,
  }) : super(key: key);

  final String labelText;
  final Color? color;

  @override
  Widget build(BuildContext context) {
    return Text(
      FlickerConfiguration.displayOptions.uppercaseLabelAndHint
          ? labelText.toUpperCase()
          : labelText,
      style: GoogleFonts.montserrat(
        fontSize: 18,
        fontWeight: FontWeight.w700,
        color: color ?? FlickerConfiguration.colors.title,
      ),
    );
  }
}
